[arch-commits] Commit in gauche/repos (3 files)
Alexander Rødseth
arodseth at archlinux.org
Thu Jun 21 10:44:13 UTC 2018
Date: Thursday, June 21, 2018 @ 10:44:12
Author: arodseth
Revision: 344298
archrelease: copy trunk to community-staging-x86_64
Added:
gauche/repos/community-staging-x86_64/
gauche/repos/community-staging-x86_64/PKGBUILD
(from rev 344297, gauche/trunk/PKGBUILD)
gauche/repos/community-staging-x86_64/gauche.install
(from rev 344297, gauche/trunk/gauche.install)
----------------+
PKGBUILD | 34 ++++++++++++++++++++++++++++++++++
gauche.install | 23 +++++++++++++++++++++++
2 files changed, 57 insertions(+)
Copied: gauche/repos/community-staging-x86_64/PKGBUILD (from rev 344297, gauche/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2018-06-21 10:44:12 UTC (rev 344298)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Motohiro Ueki <ueki.com at gmail.com>
+# Contributor: nkoizu <nkoizu at gmail.com>
+
+pkgname=gauche
+pkgver=0.9.5
+pkgrel=4
+url='https://practical-scheme.net/gauche/'
+pkgdesc='R5RS Scheme implementation (provides gosh)'
+depends=('libatomic_ops' 'slib')
+license=('BSD')
+arch=('x86_64')
+install=$pkgname.install
+source=("https://downloads.sourceforge.net/$pkgname/Gauche-$pkgver.tgz")
+sha256sums=('4c8a53213de112708bbda5fa9648c21497d43ebf809ed5b32b15f21266b4e73c')
+
+build() {
+ cd "Gauche-$pkgver"
+
+ ./configure --enable-multibyte=utf-8 --prefix=/usr
+ make
+}
+
+package() {
+ cd "Gauche-$pkgver"
+
+ make DESTDIR="$pkgdir" install-pkg install-doc
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+
+# getver: practical-scheme.net/gauche/gmemo/index.cgi?ReleaseNotes
+# vim: ts=2 sw=2 et:
Copied: gauche/repos/community-staging-x86_64/gauche.install (from rev 344297, gauche/trunk/gauche.install)
===================================================================
--- community-staging-x86_64/gauche.install (rev 0)
+++ community-staging-x86_64/gauche.install 2018-06-21 10:44:12 UTC (rev 344298)
@@ -0,0 +1,23 @@
+infodir=/usr/share/info
+filelist=(gauche-refe.info gauche-refj.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+ /usr/bin/gosh -ftest -uslib -E"require 'new-catalog" -Eexit;
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+# vim: ts=2 sw=2 et:
More information about the arch-commits
mailing list